using System;

namespace Smdn.Protocols.Imap4 {
  [Flags()]
  public enum ImapKnownCapabilities : int
  {
    None              = 0x00000000,

    Imap4Rev1         = 0x00000001, // RFC 3501 INTERNET MESSAGE ACCESS PROTOCOL - VERSION 4rev1

    AuthKerberosV4    = 0x00000002, // RFC 1731 IMAP4 Authentication Mechanisms
    AuthCramMd5       = 0x00000004, // RFC 2195 IMAP/POP AUTHorize Extension for Simple Challenge/Response
    AuthPlain         = 0x00000008, // RFC 3501 INTERNET MESSAGE ACCESS PROTOCOL - VERSION 4rev1
    AuthLogin         = 0x00000010, // ?

    Idle              = 0x00000020, // RFC 2177 IMAP4 IDLE command
    Namespace         = 0x00000040, // RFC 2342 IMAP4 Namespace
    Children          = 0x00000080, // RFC 3348 The Internet Message Action Protocol (IMAP4) Child Mailbox Extension
    StartTls          = 0x00000100, // RFC 3501 INTERNET MESSAGE ACCESS PROTOCOL - VERSION 4rev1
    LoginDisabled     = 0x00000200, // RFC 3501 INTERNET MESSAGE ACCESS PROTOCOL - VERSION 4rev1

    Xlist             = 0x00000400, // Gimap XLIST capability extension
    Xyzzy             = 0x00000400, // Gimap XYZZY capability extension
  }
}
